SciQLOP - Bug #671

code crashed after trying to move plot widget
11/03/2016 09:45 PM - Nicolas Aunai

Status: Closed Start date: 11/03/2016
Priority: Normal Due date:

Assignee: % Done: 0%
Category: legacy Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

| tried to move the plot widget around and the program crashed :

2016-03-11 21:36:29.532 QLop[16288:4679835] outHitPart = -1
2016-03-11 21:36:29.533 QLop[16288:4679835] inOptions: {
"is.flipped" = 1;

kCUIPartMaskKey = 768;

kCUIThumbProportionKey = "0.625";

state = normal;

value = 0;

widget = scrollbar;

}
2016-03-11 21:36:29.533 QLop[16288:4679835] inOptions: {
"is.flipped" = 1;

kCUIPartMaskKey = 768;

kCUIThumbProportionKey = "0.625";

state = normal;

value = 0;

widget = scrollbar;

}
2016-03-11 21:36:29.533 QLop[16288:4679835] outHitPart = -1
libpng warning: iCCP: known incorrect sSRGB profile

libpng warning: iCCP: known incorrect sRGB profile
Segmentation fault: 11

History

#1 - 11/03/2016 09:49 PM - Nicolas Aunai

- Assignee set to Anonymous

The bug occurs only when move the plot widget after having plotted something, not when starting the application with no plot yet.

[21:43:12][nicolasaunai@azrael:~/Desktop/QLop.app/Contents/MacOS]$ ./QLop
"FileDownloader"

"QLopDataBase"

"SpaceData"

"QLopPlotManager"

"QLopCore"

"QLopCodec"

gt.network.ssl: QSslISocket: cannot resolve SSL_set_psk_client_callback
gt.network.ssl: QSsISocket: cannot resolve TLSv1_1_client_method
gt.network.ssl: QSslSocket: cannot resolve TLSv1_2_client_method
gt.network.ssl: QSsISocket: cannot resolve TLSv1_1_server_method
gt.network.ssl: QSsISocket: cannot resolve TLSv1_2_server_method
gt.network.ssl: QSsISocket: cannot resolve SSL_select_next_proto
gt.network.ssl: QSslISocket: cannot resolve SSL_CTX_set_next_proto_select_cb
gt.network.ssl: QSsISocket: cannot resolve SSL_get0_next_proto_negotiated
libpng warning: iCCP: known incorrect SRGB profile

Segmentation fault: 11

The libpng "error" is seen right after the plot appears, the segfault occurs when | try to move the widget. This is reproducible

#2 - 27/09/2017 09:47 PM - Nicolas Aunai

09/04/2024 12




- Status changed from New to Closed

#3 - 14/02/2019 10:28 AM - Nicolas Aunai
- Category set to legacy

09/04/2024 22


http://www.tcpdf.org

